<div class="row mb-3">
    <button class="btn btn-primary" routerLink="/usuarios/crear">Crear usuario</button>
</div>
<div class="row table-responsive">
    <table class="table">
        <thead>
            <th>Documento</th>
            <th>Nombres</th>
            <th>Apellidos</th>
            <th>Email</th>
            <th>Telefono</th>
            <th></th>
        </thead>
        <tbody>
            <tr *ngFor="let usuario of usuarios">
                <td>{{usuario.documento}}</td>
                <td>{{usuario.nombres}}</td>
                <td>{{usuario.apellidos}}</td>
                <td>{{usuario.email}}</td>
                <td>{{usuario.telefono}}</td>
                <td>
                    <div class="btn-group">
                        <button class="btn btn-primary" routerLink="usuarios/editar/{{usuario.id}}">Editar</button>
                        <button class="btn btn-danger" (click)="eliminarUsuario(usuario.id)">Eliminar</button>
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
</div>